Re-import of fprobe-ulog
[fprobe-ulog.git] / trunk / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29   as_unset=unset
30 else
31   as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45   LC_TELEPHONE LC_TIME
46 do
47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48     eval $as_var=C; export $as_var
49   else
50     $as_unset $as_var
51   fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56   as_expr=expr
57 else
58   as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62   as_basename=basename
63 else
64   as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71          X"$0" : 'X\(//\)$' \| \
72          X"$0" : 'X\(/\)$' \| \
73          .     : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76           /^X\/\(\/\/\)$/{ s//\1/; q; }
77           /^X\/\(\/\).*/{ s//\1/; q; }
78           s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91   echo "#! /bin/sh" >conf$$.sh
92   echo  "exit 0"   >>conf$$.sh
93   chmod +x conf$$.sh
94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95     PATH_SEPARATOR=';'
96   else
97     PATH_SEPARATOR=:
98   fi
99   rm -f conf$$.sh
100 fi
101
102
103   as_lineno_1=$LINENO
104   as_lineno_2=$LINENO
105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106   test "x$as_lineno_1" != "x$as_lineno_2" &&
107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108   # Find who we are.  Look in the path if we contain no path at all
109   # relative or not.
110   case $0 in
111     *[\\/]* ) as_myself=$0 ;;
112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115   IFS=$as_save_IFS
116   test -z "$as_dir" && as_dir=.
117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120        ;;
121   esac
122   # We did not find ourselves, most probably we were run as `sh COMMAND'
123   # in which case we are not to be found in the path.
124   if test "x$as_myself" = x; then
125     as_myself=$0
126   fi
127   if test ! -f "$as_myself"; then
128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130    { (exit 1); exit 1; }; }
131   fi
132   case $CONFIG_SHELL in
133   '')
134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137   IFS=$as_save_IFS
138   test -z "$as_dir" && as_dir=.
139   for as_base in sh bash ksh sh5; do
140          case $as_dir in
141          /*)
142            if ("$as_dir/$as_base" -c '
143   as_lineno_1=$LINENO
144   as_lineno_2=$LINENO
145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146   test "x$as_lineno_1" != "x$as_lineno_2" &&
147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150              CONFIG_SHELL=$as_dir/$as_base
151              export CONFIG_SHELL
152              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153            fi;;
154          esac
155        done
156 done
157 ;;
158   esac
159
160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161   # uniformly replaced by the line number.  The first 'sed' inserts a
162   # line-number line before each line; the second 'sed' does the real
163   # work.  The second script uses 'N' to pair each line-number line
164   # with the numbered line, and appends trailing '-' during
165   # substitution so that $LINENO is not a special case at line end.
166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168   sed '=' <$as_myself |
169     sed '
170       N
171       s,$,-,
172       : loop
173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174       t loop
175       s,-$,,
176       s,^['$as_cr_digits']*\n,,
177     ' >$as_me.lineno &&
178   chmod +x $as_me.lineno ||
179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181    { (exit 1); exit 1; }; }
182
183   # Don't try to exec as it changes $[0], causing all sort of problems
184   # (the dirname of $[0] is not the place where we might find the
185   # original and so on.  Autoconf is especially sensible to this).
186   . ./$as_me.lineno
187   # Exit status is that of the last command.
188   exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193   *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T='      ' ;;
195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200   as_expr=expr
201 else
202   as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208   # We could just check for DJGPP; but this test a) works b) is more generic
209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210   if test -f conf$$.exe; then
211     # Don't use ln at all; we don't have any links
212     as_ln_s='cp -p'
213   else
214     as_ln_s='ln -s'
215   fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217   as_ln_s=ln
218 else
219   as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224   as_mkdir_p=:
225 else
226   test -d ./-p && rmdir ./-p
227   as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS="   $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling.  Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255   echo
256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59.  Invocation command line was
264
265   CONFIG_FILES    = $CONFIG_FILES
266   CONFIG_HEADERS  = $CONFIG_HEADERS
267   CONFIG_LINKS    = $CONFIG_LINKS
268   CONFIG_COMMANDS = $CONFIG_COMMANDS
269   $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile src/Makefile src/libipulog/Makefile"
275 config_headers=" config.h"
276 config_commands=" depfiles"
277
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
281
282 Usage: $0 [OPTIONS] [FILE]...
283
284   -h, --help       print this help, then exit
285   -V, --version    print version number, then exit
286   -q, --quiet      do not print progress messages
287   -d, --debug      don't remove temporary files
288       --recheck    update $as_me by reconfiguring in the same conditions
289   --file=FILE[:TEMPLATE]
290                    instantiate the configuration file FILE
291   --header=FILE[:TEMPLATE]
292                    instantiate the configuration header FILE
293
294 Configuration files:
295 $config_files
296
297 Configuration headers:
298 $config_headers
299
300 Configuration commands:
301 $config_commands
302
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by ./configure, generated by GNU Autoconf 2.59,
307   with options \"\"
308
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value.  By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
318 do
319   case $1 in
320   --*=*)
321     ac_option=`expr "x$1" : 'x\([^=]*\)='`
322     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323     ac_shift=:
324     ;;
325   -*)
326     ac_option=$1
327     ac_optarg=$2
328     ac_shift=shift
329     ;;
330   *) # This is not an option, so the user has probably given explicit
331      # arguments.
332      ac_option=$1
333      ac_need_defaults=false;;
334   esac
335
336   case $ac_option in
337   # Handling of the options.
338   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339     ac_cs_recheck=: ;;
340   --version | --vers* | -V )
341     echo "$ac_cs_version"; exit 0 ;;
342   --he | --h)
343     # Conflict between --help and --header
344     { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348    { (exit 1); exit 1; }; };;
349   --help | --hel | -h )
350     echo "$ac_cs_usage"; exit 0 ;;
351   --debug | --d* | -d )
352     debug=: ;;
353   --file | --fil | --fi | --f )
354     $ac_shift
355     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356     ac_need_defaults=false;;
357   --header | --heade | --head | --hea )
358     $ac_shift
359     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360     ac_need_defaults=false;;
361   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362   | -silent | --silent | --silen | --sile | --sil | --si | --s)
363     ac_cs_silent=: ;;
364
365   # This is an error.
366   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370    { (exit 1); exit 1; }; } ;;
371
372   *) ac_config_targets="$ac_config_targets $1" ;;
373
374   esac
375   shift
376 done
377
378 ac_configure_extra_args=
379
380 if $ac_cs_silent; then
381   exec 6>/dev/null
382   ac_configure_extra_args="$ac_configure_extra_args --silent"
383 fi
384
385 if $ac_cs_recheck; then
386   echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
387   exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
388 fi
389
390 #
391 # INIT-COMMANDS section.
392 #
393
394 AMDEP_TRUE="" ac_aux_dir="."
395
396 for ac_config_target in $ac_config_targets
397 do
398   case "$ac_config_target" in
399   # Handling of arguments.
400   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
402   "src/libipulog/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libipulog/Makefile" ;;
403   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
404   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
405   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
406 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
407    { (exit 1); exit 1; }; };;
408   esac
409 done
410
411 # If the user did not use the arguments to specify the items to instantiate,
412 # then the envvar interface is used.  Set only those that are not.
413 # We use the long form for the default assignment because of an extremely
414 # bizarre bug on SunOS 4.1.3.
415 if $ac_need_defaults; then
416   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
417   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
418   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
419 fi
420
421 # Have a temporary directory for convenience.  Make it in the build tree
422 # simply because there is no reason to put it here, and in addition,
423 # creating and moving files from /tmp can sometimes cause problems.
424 # Create a temporary directory, and hook for its removal unless debugging.
425 $debug ||
426 {
427   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
428   trap '{ (exit 1); exit 1; }' 1 2 13 15
429 }
430
431 # Create a (secure) tmp directory for tmp files.
432
433 {
434   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
435   test -n "$tmp" && test -d "$tmp"
436 }  ||
437 {
438   tmp=./confstat$$-$RANDOM
439   (umask 077 && mkdir $tmp)
440 } ||
441 {
442    echo "$me: cannot create a temporary directory in ." >&2
443    { (exit 1); exit 1; }
444 }
445
446
447 #
448 # CONFIG_FILES section.
449 #
450
451 # No need to generate the scripts if there are no CONFIG_FILES.
452 # This happens for instance when ./config.status config.h
453 if test -n "$CONFIG_FILES"; then
454   # Protect against being on the right side of a sed subst in config.status.
455   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
456    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
457 s,@SHELL@,/bin/sh,;t t
458 s,@PATH_SEPARATOR@,:,;t t
459 s,@PACKAGE_NAME@,,;t t
460 s,@PACKAGE_TARNAME@,,;t t
461 s,@PACKAGE_VERSION@,,;t t
462 s,@PACKAGE_STRING@,,;t t
463 s,@PACKAGE_BUGREPORT@,,;t t
464 s,@exec_prefix@,${prefix},;t t
465 s,@prefix@,/usr/local,;t t
466 s,@program_transform_name@,s,x,x,,;t t
467 s,@bindir@,${exec_prefix}/bin,;t t
468 s,@sbindir@,${exec_prefix}/sbin,;t t
469 s,@libexecdir@,${exec_prefix}/libexec,;t t
470 s,@datadir@,${prefix}/share,;t t
471 s,@sysconfdir@,${prefix}/etc,;t t
472 s,@sharedstatedir@,${prefix}/com,;t t
473 s,@localstatedir@,${prefix}/var,;t t
474 s,@libdir@,${exec_prefix}/lib,;t t
475 s,@includedir@,${prefix}/include,;t t
476 s,@oldincludedir@,/usr/include,;t t
477 s,@infodir@,${prefix}/info,;t t
478 s,@mandir@,${prefix}/man,;t t
479 s,@build_alias@,,;t t
480 s,@host_alias@,,;t t
481 s,@target_alias@,,;t t
482 s,@DEFS@,-DHAVE_CONFIG_H,;t t
483 s,@ECHO_C@,,;t t
484 s,@ECHO_N@,-n,;t t
485 s,@ECHO_T@,,;t t
486 s,@LIBS@,-lpthread ,;t t
487 s,@build@,i686-pc-linux-gnu,;t t
488 s,@build_cpu@,i686,;t t
489 s,@build_vendor@,pc,;t t
490 s,@build_os@,linux-gnu,;t t
491 s,@host@,i686-pc-linux-gnu,;t t
492 s,@host_cpu@,i686,;t t
493 s,@host_vendor@,pc,;t t
494 s,@host_os@,linux-gnu,;t t
495 s,@target@,i686-pc-linux-gnu,;t t
496 s,@target_cpu@,i686,;t t
497 s,@target_vendor@,pc,;t t
498 s,@target_os@,linux-gnu,;t t
499 s,@INSTALL_PROGRAM@,${INSTALL},;t t
500 s,@INSTALL_SCRIPT@,${INSTALL},;t t
501 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
502 s,@CYGPATH_W@,echo,;t t
503 s,@PACKAGE@,fprobe-ulog,;t t
504 s,@VERSION@,1.1,;t t
505 s,@ACLOCAL@,${SHELL} /home/sapan/fprobe-ulog-1.1/missing --run aclocal-1.9,;t t
506 s,@AUTOCONF@,${SHELL} /home/sapan/fprobe-ulog-1.1/missing --run autoconf,;t t
507 s,@AUTOMAKE@,${SHELL} /home/sapan/fprobe-ulog-1.1/missing --run automake-1.9,;t t
508 s,@AUTOHEADER@,${SHELL} /home/sapan/fprobe-ulog-1.1/missing --run autoheader,;t t
509 s,@MAKEINFO@,${SHELL} /home/sapan/fprobe-ulog-1.1/missing --run makeinfo,;t t
510 s,@install_sh@,/home/sapan/fprobe-ulog-1.1/install-sh,;t t
511 s,@STRIP@,,;t t
512 s,@ac_ct_STRIP@,,;t t
513 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
514 s,@mkdir_p@,mkdir -p --,;t t
515 s,@AWK@,gawk,;t t
516 s,@SET_MAKE@,,;t t
517 s,@am__leading_dot@,.,;t t
518 s,@AMTAR@,${SHELL} /home/sapan/fprobe-ulog-1.1/missing --run tar,;t t
519 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
520 s,@am__untar@,${AMTAR} xf -,;t t
521 s,@CC@,gcc,;t t
522 s,@CFLAGS@,-g -O2 -D_BSD_SOURCE -D_REENTRANT -DWALL -W -Wall,;t t
523 s,@LDFLAGS@,,;t t
524 s,@CPPFLAGS@,,;t t
525 s,@ac_ct_CC@,gcc,;t t
526 s,@EXEEXT@,,;t t
527 s,@OBJEXT@,o,;t t
528 s,@DEPDIR@,.deps,;t t
529 s,@am__include@,include,;t t
530 s,@am__quote@,,;t t
531 s,@AMDEP_TRUE@,,;t t
532 s,@AMDEP_FALSE@,#,;t t
533 s,@AMDEPBACKSLASH@,\,;t t
534 s,@CCDEPMODE@,depmode=none,;t t
535 s,@am__fastdepCC_TRUE@,#,;t t
536 s,@am__fastdepCC_FALSE@,,;t t
537 s,@RANLIB@,ranlib,;t t
538 s,@ac_ct_RANLIB@,ranlib,;t t
539 s,@CPP@,gcc -E,;t t
540 s,@EGREP@,grep -E,;t t
541 s,@DATE@,2007-10-26,;t t
542 s,@LIBOBJS@,,;t t
543 s,@LTLIBOBJS@,,;t t
544 CEOF
545
546   # Split the substitutions into bite-sized pieces for seds with
547   # small command number limits, like on Digital OSF/1 and HP-UX.
548   ac_max_sed_lines=48
549   ac_sed_frag=1 # Number of current file.
550   ac_beg=1 # First line for current file.
551   ac_end=$ac_max_sed_lines # Line after last line for current file.
552   ac_more_lines=:
553   ac_sed_cmds=
554   while $ac_more_lines; do
555     if test $ac_beg -gt 1; then
556       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
557     else
558       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
559     fi
560     if test ! -s $tmp/subs.frag; then
561       ac_more_lines=false
562     else
563       # The purpose of the label and of the branching condition is to
564       # speed up the sed processing (if there are no `@' at all, there
565       # is no need to browse any of the substitutions).
566       # These are the two extra sed commands mentioned above.
567       (echo ':t
568   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
569       if test -z "$ac_sed_cmds"; then
570         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
571       else
572         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
573       fi
574       ac_sed_frag=`expr $ac_sed_frag + 1`
575       ac_beg=$ac_end
576       ac_end=`expr $ac_end + $ac_max_sed_lines`
577     fi
578   done
579   if test -z "$ac_sed_cmds"; then
580     ac_sed_cmds=cat
581   fi
582 fi # test -n "$CONFIG_FILES"
583
584 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
585   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
586   case $ac_file in
587   - | *:- | *:-:* ) # input from stdin
588         cat >$tmp/stdin
589         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
590         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
591   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
592         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
593   * )   ac_file_in=$ac_file.in ;;
594   esac
595
596   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
597   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
598 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
599          X"$ac_file" : 'X\(//\)[^/]' \| \
600          X"$ac_file" : 'X\(//\)$' \| \
601          X"$ac_file" : 'X\(/\)' \| \
602          .     : '\(.\)' 2>/dev/null ||
603 echo X"$ac_file" |
604     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
605           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
606           /^X\(\/\/\)$/{ s//\1/; q; }
607           /^X\(\/\).*/{ s//\1/; q; }
608           s/.*/./; q'`
609   { if $as_mkdir_p; then
610     mkdir -p "$ac_dir"
611   else
612     as_dir="$ac_dir"
613     as_dirs=
614     while test ! -d "$as_dir"; do
615       as_dirs="$as_dir $as_dirs"
616       as_dir=`(dirname "$as_dir") 2>/dev/null ||
617 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
618          X"$as_dir" : 'X\(//\)[^/]' \| \
619          X"$as_dir" : 'X\(//\)$' \| \
620          X"$as_dir" : 'X\(/\)' \| \
621          .     : '\(.\)' 2>/dev/null ||
622 echo X"$as_dir" |
623     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
624           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
625           /^X\(\/\/\)$/{ s//\1/; q; }
626           /^X\(\/\).*/{ s//\1/; q; }
627           s/.*/./; q'`
628     done
629     test ! -n "$as_dirs" || mkdir $as_dirs
630   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
631 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
632    { (exit 1); exit 1; }; }; }
633
634   ac_builddir=.
635
636 if test "$ac_dir" != .; then
637   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
638   # A "../" for each directory in $ac_dir_suffix.
639   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
640 else
641   ac_dir_suffix= ac_top_builddir=
642 fi
643
644 case $srcdir in
645   .)  # No --srcdir option.  We are building in place.
646     ac_srcdir=.
647     if test -z "$ac_top_builddir"; then
648        ac_top_srcdir=.
649     else
650        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
651     fi ;;
652   [\\/]* | ?:[\\/]* )  # Absolute path.
653     ac_srcdir=$srcdir$ac_dir_suffix;
654     ac_top_srcdir=$srcdir ;;
655   *) # Relative path.
656     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
657     ac_top_srcdir=$ac_top_builddir$srcdir ;;
658 esac
659
660 # Do not use `cd foo && pwd` to compute absolute paths, because
661 # the directories may not exist.
662 case `pwd` in
663 .) ac_abs_builddir="$ac_dir";;
664 *)
665   case "$ac_dir" in
666   .) ac_abs_builddir=`pwd`;;
667   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
668   *) ac_abs_builddir=`pwd`/"$ac_dir";;
669   esac;;
670 esac
671 case $ac_abs_builddir in
672 .) ac_abs_top_builddir=${ac_top_builddir}.;;
673 *)
674   case ${ac_top_builddir}. in
675   .) ac_abs_top_builddir=$ac_abs_builddir;;
676   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
677   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
678   esac;;
679 esac
680 case $ac_abs_builddir in
681 .) ac_abs_srcdir=$ac_srcdir;;
682 *)
683   case $ac_srcdir in
684   .) ac_abs_srcdir=$ac_abs_builddir;;
685   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
686   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
687   esac;;
688 esac
689 case $ac_abs_builddir in
690 .) ac_abs_top_srcdir=$ac_top_srcdir;;
691 *)
692   case $ac_top_srcdir in
693   .) ac_abs_top_srcdir=$ac_abs_builddir;;
694   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
695   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
696   esac;;
697 esac
698
699
700   case $INSTALL in
701   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
702   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
703   esac
704
705   # Let's still pretend it is `configure' which instantiates (i.e., don't
706   # use $as_me), people would be surprised to read:
707   #    /* config.h.  Generated by config.status.  */
708   if test x"$ac_file" = x-; then
709     configure_input=
710   else
711     configure_input="$ac_file.  "
712   fi
713   configure_input=$configure_input"Generated from `echo $ac_file_in |
714                                      sed 's,.*/,,'` by configure."
715
716   # First look for the input files in the build tree, otherwise in the
717   # src tree.
718   ac_file_inputs=`IFS=:
719     for f in $ac_file_in; do
720       case $f in
721       -) echo $tmp/stdin ;;
722       [\\/$]*)
723          # Absolute (can't be DOS-style, as IFS=:)
724          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
725 echo "$as_me: error: cannot find input file: $f" >&2;}
726    { (exit 1); exit 1; }; }
727          echo "$f";;
728       *) # Relative
729          if test -f "$f"; then
730            # Build tree
731            echo "$f"
732          elif test -f "$srcdir/$f"; then
733            # Source tree
734            echo "$srcdir/$f"
735          else
736            # /dev/null tree
737            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
738 echo "$as_me: error: cannot find input file: $f" >&2;}
739    { (exit 1); exit 1; }; }
740          fi;;
741       esac
742     done` || { (exit 1); exit 1; }
743
744   if test x"$ac_file" != x-; then
745     { echo "$as_me:$LINENO: creating $ac_file" >&5
746 echo "$as_me: creating $ac_file" >&6;}
747     rm -f "$ac_file"
748   fi
749   sed "/^[       ]*VPATH[        ]*=/{
750 s/:*\$(srcdir):*/:/;
751 s/:*\${srcdir}:*/:/;
752 s/:*@srcdir@:*/:/;
753 s/^\([^=]*=[     ]*\):*/\1/;
754 s/:*$//;
755 s/^[^=]*=[       ]*$//;
756 }
757
758 :t
759 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
760 s,@configure_input@,$configure_input,;t t
761 s,@srcdir@,$ac_srcdir,;t t
762 s,@abs_srcdir@,$ac_abs_srcdir,;t t
763 s,@top_srcdir@,$ac_top_srcdir,;t t
764 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
765 s,@builddir@,$ac_builddir,;t t
766 s,@abs_builddir@,$ac_abs_builddir,;t t
767 s,@top_builddir@,$ac_top_builddir,;t t
768 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
769 s,@INSTALL@,$ac_INSTALL,;t t
770 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
771   rm -f $tmp/stdin
772   if test x"$ac_file" != x-; then
773     mv $tmp/out $ac_file
774   else
775     cat $tmp/out
776     rm -f $tmp/out
777   fi
778
779 done
780
781 #
782 # CONFIG_HEADER section.
783 #
784
785 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
786 # NAME is the cpp macro being defined and VALUE is the value it is being given.
787 #
788 # ac_d sets the value in "#define NAME VALUE" lines.
789 ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
790 ac_dB='[         ].*$,\1#\2'
791 ac_dC=' '
792 ac_dD=',;t'
793 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
794 ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
795 ac_uB='$,\1#\2define\3'
796 ac_uC=' '
797 ac_uD=',;t'
798
799 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
800   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
801   case $ac_file in
802   - | *:- | *:-:* ) # input from stdin
803         cat >$tmp/stdin
804         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
805         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
806   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
807         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
808   * )   ac_file_in=$ac_file.in ;;
809   esac
810
811   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
812 echo "$as_me: creating $ac_file" >&6;}
813
814   # First look for the input files in the build tree, otherwise in the
815   # src tree.
816   ac_file_inputs=`IFS=:
817     for f in $ac_file_in; do
818       case $f in
819       -) echo $tmp/stdin ;;
820       [\\/$]*)
821          # Absolute (can't be DOS-style, as IFS=:)
822          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
823 echo "$as_me: error: cannot find input file: $f" >&2;}
824    { (exit 1); exit 1; }; }
825          # Do quote $f, to prevent DOS paths from being IFS'd.
826          echo "$f";;
827       *) # Relative
828          if test -f "$f"; then
829            # Build tree
830            echo "$f"
831          elif test -f "$srcdir/$f"; then
832            # Source tree
833            echo "$srcdir/$f"
834          else
835            # /dev/null tree
836            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
837 echo "$as_me: error: cannot find input file: $f" >&2;}
838    { (exit 1); exit 1; }; }
839          fi;;
840       esac
841     done` || { (exit 1); exit 1; }
842   # Remove the trailing spaces.
843   sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
844
845   # Handle all the #define templates only if necessary.
846   if grep "^[    ]*#[    ]*define" $tmp/in >/dev/null; then
847   # If there are no defines, we may have an empty if/fi
848   :
849   cat >$tmp/defines.sed <<CEOF
850 /^[      ]*#[    ]*define/!b
851 t clr
852 : clr
853 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
854 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
855 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
856 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
857 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
858 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"fprobe-ulog"${ac_dD}
859 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.1"${ac_dD}
860 ${ac_dA}HAVE_LIBPTHREAD${ac_dB}HAVE_LIBPTHREAD${ac_dC}1${ac_dD}
861 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
862 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
863 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
864 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
865 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
866 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
867 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
868 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
869 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
870 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
871 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}${ac_dD}
872 ${ac_dA}OS_LINUX${ac_dB}OS_LINUX${ac_dC}${ac_dD}
873 ${ac_dA}MEM_BITS${ac_dB}MEM_BITS${ac_dC}0${ac_dD}
874 ${ac_dA}HASH_TYPE_CRC${ac_dB}HASH_TYPE_CRC${ac_dC}${ac_dD}
875 ${ac_dA}HASH_BITS${ac_dB}HASH_BITS${ac_dC}16${ac_dD}
876 ${ac_dA}UPTIME_TRICK${ac_dB}UPTIME_TRICK${ac_dC}${ac_dD}
877 ${ac_dA}ICMP_TRICK${ac_dB}ICMP_TRICK${ac_dC}${ac_dD}
878 ${ac_dA}DEBUG${ac_dB}DEBUG${ac_dC}(0)${ac_dD}
879 ${ac_dA}PID_DIR${ac_dB}PID_DIR${ac_dC}"/var/run"${ac_dD}
880 CEOF
881   sed -f $tmp/defines.sed $tmp/in >$tmp/out
882   rm -f $tmp/in
883   mv $tmp/out $tmp/in
884
885   fi # grep
886
887   # Handle all the #undef templates
888   cat >$tmp/undefs.sed <<CEOF
889 /^[      ]*#[    ]*undef/!b
890 t clr
891 : clr
892 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
893 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
894 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
895 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
896 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
897 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"fprobe-ulog"${ac_uD}
898 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.1"${ac_uD}
899 ${ac_uA}HAVE_LIBPTHREAD${ac_uB}HAVE_LIBPTHREAD${ac_uC}1${ac_uD}
900 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
901 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
902 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
903 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
904 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
905 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
906 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
907 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
908 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
909 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
910 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}${ac_uD}
911 ${ac_uA}OS_LINUX${ac_uB}OS_LINUX${ac_uC}${ac_uD}
912 ${ac_uA}MEM_BITS${ac_uB}MEM_BITS${ac_uC}0${ac_uD}
913 ${ac_uA}HASH_TYPE_CRC${ac_uB}HASH_TYPE_CRC${ac_uC}${ac_uD}
914 ${ac_uA}HASH_BITS${ac_uB}HASH_BITS${ac_uC}16${ac_uD}
915 ${ac_uA}UPTIME_TRICK${ac_uB}UPTIME_TRICK${ac_uC}${ac_uD}
916 ${ac_uA}ICMP_TRICK${ac_uB}ICMP_TRICK${ac_uC}${ac_uD}
917 ${ac_uA}DEBUG${ac_uB}DEBUG${ac_uC}(0)${ac_uD}
918 ${ac_uA}PID_DIR${ac_uB}PID_DIR${ac_uC}"/var/run"${ac_uD}
919 s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
920 CEOF
921   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
922   rm -f $tmp/in
923   mv $tmp/out $tmp/in
924
925   # Let's still pretend it is `configure' which instantiates (i.e., don't
926   # use $as_me), people would be surprised to read:
927   #    /* config.h.  Generated by config.status.  */
928   if test x"$ac_file" = x-; then
929     echo "/* Generated by configure.  */" >$tmp/config.h
930   else
931     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
932   fi
933   cat $tmp/in >>$tmp/config.h
934   rm -f $tmp/in
935   if test x"$ac_file" != x-; then
936     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
937       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
938 echo "$as_me: $ac_file is unchanged" >&6;}
939     else
940       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
941 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
942          X"$ac_file" : 'X\(//\)[^/]' \| \
943          X"$ac_file" : 'X\(//\)$' \| \
944          X"$ac_file" : 'X\(/\)' \| \
945          .     : '\(.\)' 2>/dev/null ||
946 echo X"$ac_file" |
947     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
948           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
949           /^X\(\/\/\)$/{ s//\1/; q; }
950           /^X\(\/\).*/{ s//\1/; q; }
951           s/.*/./; q'`
952       { if $as_mkdir_p; then
953     mkdir -p "$ac_dir"
954   else
955     as_dir="$ac_dir"
956     as_dirs=
957     while test ! -d "$as_dir"; do
958       as_dirs="$as_dir $as_dirs"
959       as_dir=`(dirname "$as_dir") 2>/dev/null ||
960 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
961          X"$as_dir" : 'X\(//\)[^/]' \| \
962          X"$as_dir" : 'X\(//\)$' \| \
963          X"$as_dir" : 'X\(/\)' \| \
964          .     : '\(.\)' 2>/dev/null ||
965 echo X"$as_dir" |
966     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
967           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
968           /^X\(\/\/\)$/{ s//\1/; q; }
969           /^X\(\/\).*/{ s//\1/; q; }
970           s/.*/./; q'`
971     done
972     test ! -n "$as_dirs" || mkdir $as_dirs
973   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
974 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
975    { (exit 1); exit 1; }; }; }
976
977       rm -f $ac_file
978       mv $tmp/config.h $ac_file
979     fi
980   else
981     cat $tmp/config.h
982     rm -f $tmp/config.h
983   fi
984 # Compute $ac_file's index in $config_headers.
985 _am_stamp_count=1
986 for _am_header in $config_headers :; do
987   case $_am_header in
988     $ac_file | $ac_file:* )
989       break ;;
990     * )
991       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
992   esac
993 done
994 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
995 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
996          X$ac_file : 'X\(//\)[^/]' \| \
997          X$ac_file : 'X\(//\)$' \| \
998          X$ac_file : 'X\(/\)' \| \
999          .     : '\(.\)' 2>/dev/null ||
1000 echo X$ac_file |
1001     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1002           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1003           /^X\(\/\/\)$/{ s//\1/; q; }
1004           /^X\(\/\).*/{ s//\1/; q; }
1005           s/.*/./; q'`/stamp-h$_am_stamp_count
1006 done
1007
1008 #
1009 # CONFIG_COMMANDS section.
1010 #
1011 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1012   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1013   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1014   ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1015 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1016          X"$ac_dest" : 'X\(//\)[^/]' \| \
1017          X"$ac_dest" : 'X\(//\)$' \| \
1018          X"$ac_dest" : 'X\(/\)' \| \
1019          .     : '\(.\)' 2>/dev/null ||
1020 echo X"$ac_dest" |
1021     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1022           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1023           /^X\(\/\/\)$/{ s//\1/; q; }
1024           /^X\(\/\).*/{ s//\1/; q; }
1025           s/.*/./; q'`
1026   { if $as_mkdir_p; then
1027     mkdir -p "$ac_dir"
1028   else
1029     as_dir="$ac_dir"
1030     as_dirs=
1031     while test ! -d "$as_dir"; do
1032       as_dirs="$as_dir $as_dirs"
1033       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1034 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1035          X"$as_dir" : 'X\(//\)[^/]' \| \
1036          X"$as_dir" : 'X\(//\)$' \| \
1037          X"$as_dir" : 'X\(/\)' \| \
1038          .     : '\(.\)' 2>/dev/null ||
1039 echo X"$as_dir" |
1040     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1041           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1042           /^X\(\/\/\)$/{ s//\1/; q; }
1043           /^X\(\/\).*/{ s//\1/; q; }
1044           s/.*/./; q'`
1045     done
1046     test ! -n "$as_dirs" || mkdir $as_dirs
1047   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1048 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1049    { (exit 1); exit 1; }; }; }
1050
1051   ac_builddir=.
1052
1053 if test "$ac_dir" != .; then
1054   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1055   # A "../" for each directory in $ac_dir_suffix.
1056   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1057 else
1058   ac_dir_suffix= ac_top_builddir=
1059 fi
1060
1061 case $srcdir in
1062   .)  # No --srcdir option.  We are building in place.
1063     ac_srcdir=.
1064     if test -z "$ac_top_builddir"; then
1065        ac_top_srcdir=.
1066     else
1067        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1068     fi ;;
1069   [\\/]* | ?:[\\/]* )  # Absolute path.
1070     ac_srcdir=$srcdir$ac_dir_suffix;
1071     ac_top_srcdir=$srcdir ;;
1072   *) # Relative path.
1073     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1074     ac_top_srcdir=$ac_top_builddir$srcdir ;;
1075 esac
1076
1077 # Do not use `cd foo && pwd` to compute absolute paths, because
1078 # the directories may not exist.
1079 case `pwd` in
1080 .) ac_abs_builddir="$ac_dir";;
1081 *)
1082   case "$ac_dir" in
1083   .) ac_abs_builddir=`pwd`;;
1084   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1085   *) ac_abs_builddir=`pwd`/"$ac_dir";;
1086   esac;;
1087 esac
1088 case $ac_abs_builddir in
1089 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1090 *)
1091   case ${ac_top_builddir}. in
1092   .) ac_abs_top_builddir=$ac_abs_builddir;;
1093   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1094   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1095   esac;;
1096 esac
1097 case $ac_abs_builddir in
1098 .) ac_abs_srcdir=$ac_srcdir;;
1099 *)
1100   case $ac_srcdir in
1101   .) ac_abs_srcdir=$ac_abs_builddir;;
1102   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1103   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1104   esac;;
1105 esac
1106 case $ac_abs_builddir in
1107 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1108 *)
1109   case $ac_top_srcdir in
1110   .) ac_abs_top_srcdir=$ac_abs_builddir;;
1111   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1112   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1113   esac;;
1114 esac
1115
1116
1117   { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1118 echo "$as_me: executing $ac_dest commands" >&6;}
1119   case $ac_dest in
1120     depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1121   # Strip MF so we end up with the name of the file.
1122   mf=`echo "$mf" | sed -e 's/:.*$//'`
1123   # Check whether this is an Automake generated Makefile or not.
1124   # We used to match only the files named `Makefile.in', but
1125   # some people rename them; so instead we look at the file content.
1126   # Grep'ing the first line is not enough: some people post-process
1127   # each Makefile.in and add a new line on top of each file to say so.
1128   # So let's grep whole file.
1129   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1130     dirpart=`(dirname "$mf") 2>/dev/null ||
1131 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1132          X"$mf" : 'X\(//\)[^/]' \| \
1133          X"$mf" : 'X\(//\)$' \| \
1134          X"$mf" : 'X\(/\)' \| \
1135          .     : '\(.\)' 2>/dev/null ||
1136 echo X"$mf" |
1137     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1138           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1139           /^X\(\/\/\)$/{ s//\1/; q; }
1140           /^X\(\/\).*/{ s//\1/; q; }
1141           s/.*/./; q'`
1142   else
1143     continue
1144   fi
1145   # Extract the definition of DEPDIR, am__include, and am__quote
1146   # from the Makefile without running `make'.
1147   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1148   test -z "$DEPDIR" && continue
1149   am__include=`sed -n 's/^am__include = //p' < "$mf"`
1150   test -z "am__include" && continue
1151   am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1152   # When using ansi2knr, U may be empty or an underscore; expand it
1153   U=`sed -n 's/^U = //p' < "$mf"`
1154   # Find all dependency output files, they are included files with
1155   # $(DEPDIR) in their names.  We invoke sed twice because it is the
1156   # simplest approach to changing $(DEPDIR) to its actual value in the
1157   # expansion.
1158   for file in `sed -n "
1159     s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1160        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1161     # Make sure the directory exists.
1162     test -f "$dirpart/$file" && continue
1163     fdir=`(dirname "$file") 2>/dev/null ||
1164 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1165          X"$file" : 'X\(//\)[^/]' \| \
1166          X"$file" : 'X\(//\)$' \| \
1167          X"$file" : 'X\(/\)' \| \
1168          .     : '\(.\)' 2>/dev/null ||
1169 echo X"$file" |
1170     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1171           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1172           /^X\(\/\/\)$/{ s//\1/; q; }
1173           /^X\(\/\).*/{ s//\1/; q; }
1174           s/.*/./; q'`
1175     { if $as_mkdir_p; then
1176     mkdir -p $dirpart/$fdir
1177   else
1178     as_dir=$dirpart/$fdir
1179     as_dirs=
1180     while test ! -d "$as_dir"; do
1181       as_dirs="$as_dir $as_dirs"
1182       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1183 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1184          X"$as_dir" : 'X\(//\)[^/]' \| \
1185          X"$as_dir" : 'X\(//\)$' \| \
1186          X"$as_dir" : 'X\(/\)' \| \
1187          .     : '\(.\)' 2>/dev/null ||
1188 echo X"$as_dir" |
1189     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1190           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1191           /^X\(\/\/\)$/{ s//\1/; q; }
1192           /^X\(\/\).*/{ s//\1/; q; }
1193           s/.*/./; q'`
1194     done
1195     test ! -n "$as_dirs" || mkdir $as_dirs
1196   fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1197 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1198    { (exit 1); exit 1; }; }; }
1199
1200     # echo "creating $dirpart/$file"
1201     echo '# dummy' > "$dirpart/$file"
1202   done
1203 done
1204  ;;
1205   esac
1206 done
1207
1208 { (exit 0); exit 0; }